/// <reference types="react-redux" />
import { SlideProps } from '@material-ui/core/Slide';
import * as React from 'react';
import { Action } from 'redux';
import { InjectableAction } from 'redux-di-middleware';
import { RootReducerType } from '../store';
import { LocalizationStateType } from '../store/Localization';
/**
 * Defined the component's own properties
 */
export interface OwnProps {
    hostName: string;
    documentIdOrPath: string | number;
    version?: string;
    localization?: Partial<LocalizationStateType>;
    drawerSlideProps?: Partial<SlideProps>;
}
declare const connectedComponent: React.ComponentClass<Pick<{
    isLoading: boolean;
    idOrPath: string | number;
    docViewerError: string | undefined;
    previewImagesError: string | null;
} & {
    pollDocumentData: (hostName: string, idOrPath: string | number, version?: string | undefined) => InjectableAction<RootReducerType, Action<any>>;
    setLocalization: (localization: Partial<LocalizationStateType>) => {
        type: string;
        localization: Partial<LocalizationStateType>;
    };
} & OwnProps, "hostName" | "documentIdOrPath" | "version" | "localization" | "drawerSlideProps" | undefined> & OwnProps> & {
    WrappedComponent: React.ComponentType<{
        isLoading: boolean;
        idOrPath: string | number;
        docViewerError: string | undefined;
        previewImagesError: string | null;
    } & {
        pollDocumentData: (hostName: string, idOrPath: string | number, version?: string | undefined) => InjectableAction<RootReducerType, Action<any>>;
        setLocalization: (localization: Partial<LocalizationStateType>) => {
            type: string;
            localization: Partial<LocalizationStateType>;
        };
    } & OwnProps>;
};
export { connectedComponent as DocumentViewer };
