/// <reference types="react-redux" />
import React = require('react');
import { PreviewState } from '../Enums';
/**
 * Defined the component's own properties
 */
export interface OwnProps {
    error: any;
}
/**
 * State type for the Document Viewer Error component
 */
export interface ErrorState {
    message: string;
    details: string;
}
declare const connectedComponent: React.ComponentClass<Pick<{
    previewState: number;
    errorLoadingDocument: {
        state: PreviewState;
        message: string;
        details: string;
        code?: number | undefined;
    }[];
    errorLoadingDetails: string;
    reloadPage: string;
} & OwnProps, "error"> & OwnProps> & {
    WrappedComponent: React.ComponentType<{
        previewState: number;
        errorLoadingDocument: {
            state: PreviewState;
            message: string;
            details: string;
            code?: number | undefined;
        }[];
        errorLoadingDetails: string;
        reloadPage: string;
    } & OwnProps>;
};
export { connectedComponent as DocumentViewerError };
