/// <reference types="react-redux" />
import * as React from 'react';
import { PreviewImageData } from '../models';
import { ZoomMode } from '../store';
/**
 * Defines the own properties for the PageList component
 */
export interface PageListProps {
    tolerance: number;
    padding: number;
    id: string;
    elementNamePrefix: string;
    zoomMode: ZoomMode;
    zoomLevel: number;
    images: 'preview' | 'thumbnail';
    activePage?: number;
    onPageClick: (ev: React.MouseEvent<HTMLElement>, pageIndex: number) => void;
    style?: React.CSSProperties;
    showWidgets: boolean;
}
/**
 * Type definition for the PageList component's State
 */
export interface PageListState {
    marginTop: number;
    marginBottom: number;
    scrollState: number;
    pagesToSkip: number;
    pagesToTake: number;
    viewportWidth: number;
    viewportHeight: number;
    visiblePages: PreviewImageData[];
}
declare const connectedComponent: React.ComponentClass<Pick<{
    pages: PreviewImageData[];
} & PageListProps, "padding" | "style" | "id" | "activePage" | "zoomMode" | "tolerance" | "elementNamePrefix" | "zoomLevel" | "images" | "onPageClick" | "showWidgets" | undefined>> & {
    WrappedComponent: React.ComponentType<{
        pages: PreviewImageData[];
    } & PageListProps>;
};
export { connectedComponent as PageList };
