/// <reference types="react-redux" />
import * as React from 'react';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    customZoomLevel: number;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    setZoomLevel: (customZoomLevel: number, defaultModeOnZero?: import("../../store/Viewer").ZoomMode) => {
        type: string;
        customZoomLevel: number;
        defaultModeOnZero: import("../../store/Viewer").ZoomMode;
    };
};
/**
 * Document widget component for modifying the zoom mode / level
 */
export declare class ZoomInOutWidgetComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>, {
    zoomMenuAnchor?: HTMLElement;
}> {
    private zoomIn;
    private zoomOut;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: React.ComponentClass<Pick<{
    customZoomLevel: number;
} & {
    setZoomLevel: (customZoomLevel: number, defaultModeOnZero?: import("../../store/Viewer").ZoomMode) => {
        type: string;
        customZoomLevel: number;
        defaultModeOnZero: import("../../store/Viewer").ZoomMode;
    };
} & undefined, never>> & {
    WrappedComponent: React.ComponentType<{
        customZoomLevel: number;
    } & {
        setZoomLevel: (customZoomLevel: number, defaultModeOnZero?: import("../../store/Viewer").ZoomMode) => {
            type: string;
            customZoomLevel: number;
            defaultModeOnZero: import("../../store/Viewer").ZoomMode;
        };
    } & undefined>;
};
export { connectedComponent as ZoomInOutWidget };
