/// <reference types="react-redux" />
import * as React from 'react';
import { Annotation, Shape, Shapes } from '../../models';
import { Dimensions } from '../../services';
/**
 * Defined the component's own properties
 */
export interface OwnProps<T extends Shape> {
    shape: T;
    shapeType: keyof Shapes;
    canEdit: boolean;
    zoomRatio: number;
    additionalOffset?: Dimensions;
}
declare const shapeRedaction: React.ComponentClass<Pick<{
    zoomMode: import("../../store/Viewer").ZoomMode;
    zoomLevel: number;
} & {
    updateShapeData: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string, shapeData: Shapes[K][0]) => {
        type: string;
        shapeType: K;
        shapeGuid: string;
        shapeData: Shapes[K][0];
    };
    removeShape: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string) => {
        type: string;
        shapeType: K;
        shapeGuid: string;
    };
} & OwnProps<Shape>, "zoomRatio" | "canEdit" | "shape" | "shapeType" | "additionalOffset" | undefined> & OwnProps<Shape>> & {
    WrappedComponent: React.ComponentType<{
        zoomMode: import("../../store/Viewer").ZoomMode;
        zoomLevel: number;
    } & {
        updateShapeData: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string, shapeData: Shapes[K][0]) => {
            type: string;
            shapeType: K;
            shapeGuid: string;
            shapeData: Shapes[K][0];
        };
        removeShape: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string) => {
            type: string;
            shapeType: K;
            shapeGuid: string;
        };
    } & OwnProps<Shape>>;
};
declare const shapeAnnotation: React.ComponentClass<Pick<{
    zoomMode: import("../../store/Viewer").ZoomMode;
    zoomLevel: number;
} & {
    updateShapeData: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string, shapeData: Shapes[K][0]) => {
        type: string;
        shapeType: K;
        shapeGuid: string;
        shapeData: Shapes[K][0];
    };
    removeShape: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string) => {
        type: string;
        shapeType: K;
        shapeGuid: string;
    };
} & OwnProps<Annotation>, "zoomRatio" | "canEdit" | "shape" | "shapeType" | "additionalOffset" | undefined> & OwnProps<Shape>> & {
    WrappedComponent: React.ComponentType<{
        zoomMode: import("../../store/Viewer").ZoomMode;
        zoomLevel: number;
    } & {
        updateShapeData: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string, shapeData: Shapes[K][0]) => {
            type: string;
            shapeType: K;
            shapeGuid: string;
            shapeData: Shapes[K][0];
        };
        removeShape: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string) => {
            type: string;
            shapeType: K;
            shapeGuid: string;
        };
    } & OwnProps<Annotation>>;
};
declare const shapeHighlight: React.ComponentClass<Pick<{
    zoomMode: import("../../store/Viewer").ZoomMode;
    zoomLevel: number;
} & {
    updateShapeData: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string, shapeData: Shapes[K][0]) => {
        type: string;
        shapeType: K;
        shapeGuid: string;
        shapeData: Shapes[K][0];
    };
    removeShape: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string) => {
        type: string;
        shapeType: K;
        shapeGuid: string;
    };
} & OwnProps<Shape>, "zoomRatio" | "canEdit" | "shape" | "shapeType" | "additionalOffset" | undefined> & OwnProps<Shape>> & {
    WrappedComponent: React.ComponentType<{
        zoomMode: import("../../store/Viewer").ZoomMode;
        zoomLevel: number;
    } & {
        updateShapeData: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string, shapeData: Shapes[K][0]) => {
            type: string;
            shapeType: K;
            shapeGuid: string;
            shapeData: Shapes[K][0];
        };
        removeShape: <K extends "redactions" | "highlights" | "annotations">(shapeType: K, shapeGuid: string) => {
            type: string;
            shapeType: K;
            shapeGuid: string;
        };
    } & OwnProps<Shape>>;
};
export { shapeAnnotation as ShapeAnnotation, shapeHighlight as ShapeHighlight, shapeRedaction as ShapeRedaction };
